from setuptools import setup, find_packages

setup(
    name = 'borgend',
    version = '0.1.1',
    author = 'Tuomo Valkonen',
    author_email = 'tuomov@iki.fi',
    url = 'https://tuomov.iki.fi/software/borgend/',
    packages = ['borgend'],
    data_files=[],
    entry_points= {
        "console_scripts": ["borgend = borgend.__main__:main"]
    },
    #setup_requires=['py2app'],
    install_requires=[
        "rumps",
        "ssdpy",
        "keyring",
        "PyYAML",
        "xdg;platform_system!='darwin'",
    ],
    app=['borgend/__main__.py'],
    setup_requires=['py2app'],
    options={
        'py2app': {
            'argv_emulation': False,
            'plist': {
                'LSUIElement': True,
            },
            'excludes': ['wx', 'matplotlib', 'numpy', 'scipy', 'sip'],
        }
    }
)
